SQ-SIGN(1)

NAME
sq-sign - Signs messages or data files

Creates signed messages or detached signatures. Detached signatures are often used to sign software packages.

The converse operation is "sq verify".

SYNOPSIS
sq sign [FLAGS] [OPTIONS] [--] [FILE]

FLAGS

-h, --help
    Prints help information

-B, --binary
    Emits binary data

--detached
    Creates a detached signature

--cleartext-signature
    Creates a cleartext signature

-a, --append
    Appends a signature to existing signature

-n, --notarize
    Signs a message and all existing signatures

OPTIONS

-o, --output FILE
    Writes to FILE or stdout if omitted

--merge SIGNED-MESSAGE
    Merges signatures from the input and SIGNED-MESSAGE

--signer-key KEY
    Signs using KEY

-t, --time TIME
    Chooses keys valid at the specified time and sets the signature's creation time

--notation NAME
    Adds a notation to the certification. A user-defined notation's name must be of the form "name@a.domain.you.control.org". If the notation's name starts with a !, then the notation is marked as being critical. If a consumer of a signature doesn't understand a critical notation, then it will ignore the signature. The notation is marked as being human readable.

ARGS

FILE
    Reads from FILE or stdin if omitted

EXAMPLES

# Create a signed message
    $ sq sign --signer-key juliet.pgp message.txt

# Create a detached signature
    $ sq sign --detached --signer-key juliet.pgp message.txt

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-keyring(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>